Package org.eclipse.emf.cdo.common.util

# Interface CDORenameContext.WithElement

All Superinterfaces:
  `CDORenameContext`

Enclosing interface:
  `CDORenameContext`

public static interface CDORenameContext.WithElement extends CDORenameContext
A `rename context` that provides access to the `element` to be renamed.

Since:
  4.15

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.util.CDORenameContext

`CDORenameContext.WithElement`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getElement()`

### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDORenameContext

`getName, getType, setName, validateName`

## Method Details

### getElement

Object getElement()